Skip to main content
GET
/
form_batches
List form batches
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/form_batches \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "form_batch",
      "data": {
        "owner": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "form_type": "t4",
        "form_stage": "original",
        "effective_date": "2026-01-01",
        "status": "draft",
        "contact_name": "Prof. Brody Ernser III",
        "contact_email": "weber.pierre@example.net",
        "contact_area_code": "657",
        "contact_phone_number": "3654916",
        "contact_extension": null,
        "note": null,
        "metadata": {
          "counts": {
            "total": 0,
            "valid": 0,
            "invalid": 0,
            "draft": 0,
            "approved": 0,
            "processing": 0,
            "submitted": 0,
            "done": 0,
            "rejected": 0
          },
          "flags": {
            "is_submittable": false
          },
          "timestamps": {
            "submitted_at": null,
            "completed_at": null
          },
          "identifiers": {
            "confirmation_number": null
          }
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/form_batches/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "form_batch",
      "data": {
        "owner": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "form_type": "t4",
        "form_stage": "amendment",
        "effective_date": "2026-01-01",
        "status": "draft",
        "contact_name": "Prof. Brody Ernser III",
        "contact_email": "weber.pierre@example.net",
        "contact_area_code": "657",
        "contact_phone_number": "3654916",
        "contact_extension": null,
        "note": null,
        "metadata": {
          "counts": {
            "total": 0,
            "valid": 0,
            "invalid": 0,
            "draft": 0,
            "approved": 0,
            "processing": 0,
            "submitted": 0,
            "done": 0,
            "rejected": 0
          },
          "flags": {
            "is_submittable": false
          },
          "timestamps": {
            "submitted_at": null,
            "completed_at": null
          },
          "identifiers": {
            "confirmation_number": null
          }
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/form_batches/<id>"
      }
    }
  ],
  "links": {
    "first": "/form_batches?page=1",
    "last": "/form_batches?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 2,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

owner_id
string

Filter form batches based on the owner. Accepts multiple comma-separated values.

owner_type
enum<string>

Filter form batches based on the type of owner.

Available options:
business_entity
form_type
enum<string>

Filter form batches based on the form type.

Available options:
rl1,
roe,
t4,
t4a,
td1,
td1ab,
td1bc,
td1mb,
td1nb,
td1nl,
td1ns,
td1nt,
td1nu,
td1on,
td1pe,
td1sk,
td1x,
td1yt,
tp_1015_3_v,
tp_1015_r_13_v
form_stage
enum<string>

Filter form batches based on the stage (original, amendment, cancellation).

Available options:
amendment,
cancellation,
original
status
enum<string>

Filter form batches based on the status.

Available options:
done,
draft,
processing,
submitted
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
effective_date
expand
enum<string>[]
Available options:
owner

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]